Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.soap.transport
Interface SOAPTransport

All Known Subinterfaces:
  OracleSOAPTransport

All Known Implementing Classes:
  FilterTransport, OracleSOAPHTTPConnection, SOAPHTTPConnection, SOAPSMTPConnection

public interface SOAPTransport

This interface is an abstraction of the transport layer that's carrying the messages.

Method Summary
`java.util.Hashtable` | `getHeaders()` Return access to headers generated by the protocol.
`SOAPContext` | `getResponseSOAPContext()` Return the SOAPContext associated with the response.
`java.io.BufferedReader` | `receive()` Return a buffered reader to receive back the response to whatever was sent to whatever.
`void` | `send(java.net.URL sendTo, java.lang.String action, java.util.Hashtable headers, Envelope env, SOAPMappingRegistry smr, SOAPContext ctx)` This method is used to request that an envelope be sent.

Method Detail

### send

    public void send(java.net.URL sendTo,
                     java.lang.String action,
                     java.util.Hashtable headers,
    Envelope env,
    SOAPMappingRegistry smr,
    SOAPContext ctx)
              throws SOAPException

  This method is used to request that an envelope be sent.
  Parameters:
    `sendTo` - the URL to send the envelope to
    `action` - the SOAPAction header field value
    `headers` - any other header fields to go to as protocol headers
    `env` - the envelope to send
    `smr` - the XML<->Java type mapping registry (passed on)
    `ctx` - the request SOAPContext
  Throws:
    `SOAPException` - with appropriate reason code if problem

### receive

    public java.io.BufferedReader receive()

  Return a buffered reader to receive back the response to whatever was sent to whatever.
  Returns:
    a reader to read the results from or null if that's not possible.

### getHeaders

    public java.util.Hashtable getHeaders()

  Return access to headers generated by the protocol.
  Returns:
    a hashtable containing all the headers

### getResponseSOAPContext

    public SOAPContext getResponseSOAPContext()

  Return the SOAPContext associated with the response.
  Returns:
    response SOAPContext

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 The Apache Software Foundation. All rights reserved.